### Virtual Method

# Secret Backend search_finish

since: 0.19.0

#### Declaration [src]

    GList*
    search_finish (
      SecretBackend* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Implementation of `secret_password_search_finish()`, required.

Available since: 0.19.0

#### Parameters

`result`

  Type: `GAsyncResult`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `gpointer`

No description available.

The data is owned by the called function.